Package io.dapr.v1

# Interface DaprProtos.UnlockRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.UnlockRequest`, `DaprProtos.UnlockRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.UnlockRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getLockOwner()`
`string lock_owner = 3 [json_name = "lockOwner"];`
`com.google.protobuf.ByteString`
`getLockOwnerBytes()`
`string lock_owner = 3 [json_name = "lockOwner"];`
`String`
`getResourceId()`
resource_id is the lock key.
`com.google.protobuf.ByteString`
`getResourceIdBytes()`
resource_id is the lock key.
`String`
`getStoreName()`
`string store_name = 1 [json_name = "storeName"];`
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
`string store_name = 1 [json_name = "storeName"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStoreName

String getStoreName()
`string store_name = 1 [json_name = "storeName"];`

Returns:
  The storeName.

### getStoreNameBytes

com.google.protobuf.ByteString getStoreNameBytes()
`string store_name = 1 [json_name = "storeName"];`

Returns:
  The bytes for storeName.

### getResourceId

String getResourceId()

     resource_id is the lock key.

`string resource_id = 2 [json_name = "resourceId"];`

Returns:
  The resourceId.

### getResourceIdBytes

com.google.protobuf.ByteString getResourceIdBytes()

     resource_id is the lock key.

`string resource_id = 2 [json_name = "resourceId"];`

Returns:
  The bytes for resourceId.

### getLockOwner

String getLockOwner()
`string lock_owner = 3 [json_name = "lockOwner"];`

Returns:
  The lockOwner.

### getLockOwnerBytes

com.google.protobuf.ByteString getLockOwnerBytes()
`string lock_owner = 3 [json_name = "lockOwner"];`

Returns:
  The bytes for lockOwner.